// MIXINS, VARIABLES & EXTENDS:

@import "../styles/assets";

// PORTFÓLIO - ILUSTRAÇÕES:

#portfolio_illustrations {
  article {
    h1 {
      margin-bottom: 30px;
    }
    :global(#thumbnails) {
      margin: 0 auto; // Works with "fitWidth: true" on masonry initialization.
      cursor: pointer;
      :global(.illustrationThumbnail) {
        margin-bottom: 50px; // Keep the same with "gutter" value on masonry initialization.
        img {
          display: block;
          border: 1px solid $color-gray-light;
          @include border-radius(5px);
        }
        :global(.about) {
          visibility: hidden;
          opacity: 0;
          @include border-radius(5px);
          @include transition(opacity 600ms, visibility 600ms);
          position: inherit;
          top: 0;
          height: 100%;
          width: 100%;
          background-color: $back-dark-transparent;
          h2,
          div {
            color: $color-gray-light;
            margin: 10px 10px;
            font-size: $typo-small-size;
            line-height: $line-height-small-size;
          }
          h2 {
            font-weight: bold;
            border-bottom: 1px solid $color-gray-light;
          }
        }
        &:hover {
          :global(.about) {
            visibility: visible;
            opacity: 1;
          }
        }
      }
    }
  }
  :global(#enlargments) {
    :global(.illustrationEnlargment) {
      visibility: hidden;
      opacity: 0;
      @include transition(opacity 400ms, visibility 400ms);
      @include flexbox();
      @include flex-direction(column);
      @include justify-content(center);
      @include align-items(center);
      position: fixed;
      top: 0;
      left: 0;
      z-index: 999;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.9);
      overflow: auto;
      img {
        max-width: 100%;
        height: auto;
        min-height: 1px; // Hack to fix IE11 proble with images inside flexbox.
        max-height: 80vh; // making sure we have space for the button, when the image is bigger than the viewport.
        display: block;
      }
      nav {
        margin-top: 10px;
        button {
          @include border-radius(5px);
          border: none;
          text-align: center;
          font-size: $typo-small-size;
          line-height: $line-height-small-size;
          font-family: inherit;
          color: white;
          background-color: $color-green;
          cursor: pointer;
          margin: 0 10px;
          padding: 3px 8px;
          @media only screen and (max-width: $small-max-width) {
            width: auto;
            display: block;
            margin: 0 auto 10px auto;
          }
        }
      }
      &:global(.current) {
        visibility: visible;
        opacity: 1;
      }
      &:first-child {
        nav {
          :global(button.previous) {
            visibility: hidden;
            @media only screen and (max-width: $small-max-width) {
              display: none;
            }
          }
        }
      }
      &:last-child {
        nav {
          :global(button.next) {
            visibility: hidden;
          }
        }
      }
    }
  }
}
